Subject: Re: Mt. Penta I - new instructions
From: JSD56 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 11 Sep 2023 19:52:09 +0800 (GMT+08:00)

Dear Sir

Good day,well ntd below and will do according to yours instructions,and we also can complte all the depature formalities within 1 day if all the documents prepared well including the receiver's letter of representation of cargo declaration cancel for the custom.

Pls find the invoice attached fr your reference.

Any inquiry,pls feel free to contact us.

Best Regards
Albert Peng
Shandong JiShiDa international logistics Co., Ltd.
Add:No.277 Beijing Road,Rizhao City,Shandong China
Tel:+86 0633 8313197       Fax:+86 0633 8313197
Mobile: +86-13561919193
WeChat / WhatsAPP :+86 13561919193
Skype:[email-masked]
Email:[email-masked]
---- Replied Message ----
| From | <[email-masked]> |
| Date | 9/11/2023 16:35 |
| To | 'JSD56'<[email-masked]> |
| Cc | 'Elyas Niroomand'<[email-masked]> ,
'Majid'<[email-masked]> ,
'Sayyed Hosseini'<[email-masked]> |
| Subject | Mt. Penta I - new instructions |

Dear Albert,

Referring contract No. A2023710 dated 10/07/2023  as attached , we have nominated you for Mt. Penta I and follow up follow up below instructions:

Perform all formalities including MSA, Immigration and Custom and …. For Penta I safe departure from Dong Jia Kou port to open sea
Kindly send us your invoices for processing and payment as soon as possible
We had another vessel before with the same problem with another agent and they have completed all formalities within one day please do your best endeavor and update us
Please have full cooperation with the new nominated agent appointed by new buyer

Please update us every action regarding this vessel.

 

Regards

Puyuan Trade Company Limited

Operation department